BEGIN ~HoraceP~


IF ~Global("HRKickedOut","LOCALS",0)~ THEN BEGIN Kickout
  SAY ~Do I have to leave?  I've got so much to analyze...~
  IF ~~ THEN REPLY ~Sorry Horace, you really smell and you've got bad breath.  Maybe later..~ GOTO HoraveL1
  IF ~~ THEN REPLY ~Then stay, we'll have some use for that smell somewhere along the way I'm sure.~ 
  DO ~JoinParty()~ EXIT
END

IF ~Global("HRKickedOut","LOCALS",1)~ THEN BEGIN HRRejoin
  SAY ~Couldn't keep away from me, eh, <CHARNAME>? Ready to have me by your side again?~
  IF ~~ THEN REPLY ~No, I just wanted to see if you smelled any better.~ GOTO HoraveL1
  IF ~~ THEN REPLY ~Yes, as much as my nose will hate me, come along.~ DO ~SetGlobal("HoraceJoined","LOCALS",1)
JoinParty()~ EXIT
END

IF ~~ THEN BEGIN HoraveL1
  SAY ~I suppose I could use a bath huh?  Where do I need I need to stay?~
  IF ~ !AreaCheck("AR0602")
!AreaCheck("AR0603")
!AreaCheck("AR0410")
!AreaCheck("AR0411")
!AreaCheck("AR0412")
!AreaCheck("AR0413")
!AreaCheck("AR0414")
!AreaCheck("AR1512")
!AreaCheck("AR1513")
!AreaCheck("AR1514")
!AreaCheck("AR1515")
!AreaCheck("AR1516")
!AreaCheck("AR1501")
!AreaCheck("AR1502")
!AreaCheck("AR1503")
!AreaCheck("AR1504")
!AreaCheck("AR1505")
!AreaCheck("AR1506")
!AreaCheck("AR1507")
!AreaCheck("AR1508")~ THEN REPLY ~I'll meet you back at the Sea's Bounty.  I here there is a good bathing service there.~  DO ~EscapeAreaMove("AR0314",769,289,0)
SetGlobal("HRKickedOut","LOCALS",1) ~ EXIT
IF ~ !AreaCheck("AR0301")
!AreaCheck("AR0302")
!AreaCheck("AR0303")
!AreaCheck("AR0304")
!AreaCheck("AR0305")
!AreaCheck("AR0306")
!AreaCheck("AR0307")
!AreaCheck("AR0509")
!AreaCheck("AR0510")
!AreaCheck("AR0511")
!AreaCheck("AR1102")
!AreaCheck("AR1107")
!AreaCheck("AR0801")
!AreaCheck("AR0803")~ THEN REPLY ~Stay put,my nose will find you when it's time to get you!~ DO ~SetGlobal("HRKickedOut","LOCALS",1) ~ EXIT
END

